README.BAL

Readme file for Talking Balance 1 Program, version TLKBAL1E
Last update:  June 18, 1997 by MMG.
Reference File:  RDMBAL1D.WP

Copyright 1996-1997, East Carolina University, Greenville, NC

This file gives "quick start" directions for the Talking Balance 
1 Program.  Main headings are:
A.   Minimum requirements
B.   Installation on a hard disk drive
C.   Connecting the OHAUS balance to the computer
D.   Using a Sound Blaster sound card with the Talking Balance 1
     Program
E.   Using other speech synthesizers
F.   Using the Talking Balance 1 Program without speech
G.   License and Legal Information

See the User Guide file, GUIDE1.BAL, for details about program
operation.

This software was developed in the Department of Chemistry and
the Science Institute for the Disabled at East Carolina
University under Grant Nos. 9254330, 9153492, and 9053907 from
the National Science Foundation's Directorate for Education and
Human Resources. 


A.   Minimum requirements

-    IBM PC or compatible.
-    MS-DOS 6.22 or higher.
-    Minimum RAM not determined. Tested with 2Mb RAM.
-    VGA monitor or monitor capable of being run in VGA mode. 
     (EGA monitor will work, but enlarged text display will be
     too small.)
-    Hard disk drive recommended for speed, but not necessary.
-    OHAUS electronic balance, CT or TP series, with installed 
     RS-232 serial port and OHAUS serial interface cable.
-    This program can be run without a speech synthesizer.
-    For speech output:  either an internal Sound Blaster sound
     card with Creative Labs text-to-speech driver, SBTALKER; or
     an external speech synthesizer connected to any of serial
     ports COM1 through COM4 or parallel ports LPT1 through LPT3,
     or internal speech synthesizer that emulates one of those
     ports.

B.   Installation on a hard disk drive

The self-extracting version of this program is named
TALKBAL1.EXE.  Do the following if you have the self-extracting
version:
1.   In the root directory of your hard drive, make a
     subdirectory named TALKBAL1.
2.   Copy the TALKBAL1.EXE file into the TALKBAL1 subdirectory. 
     This is a self-extracting file.
3.   In MS-DOS, change to the TALKBAL1 subdirectory.
4.   Type TALKBAL1 and the self-extracting file will install the
     following files into the TALKBAL1 subdirectory:

          TLKBAL1E.EXE   --   The Talking Balance 1 Program
          README.BAL     --   This file
          GUIDE1.BAL     --   User Guide for the Talking Balance  
                              1 Program
          J.BAT          --   An example batch file to run the    
                              Talking Balance 1 Program
          LICENSE.TXT    --   GNU General Public License
          NOWARR.GNU     --   Disclaimer from GNU General Public
                              License

     Also, seven files containing the source code (files with a
     .PAS file name extension) and two Borland Pascal graphics
     units (files with a .TPU file name extension) will be
     installed.  See the User Guide file, GUIDE1.BAL, for the
     complete list of file names.

The zipped version of the program has a .ZIP extension in the
file name. Do the following if you have the zipped version:
1.   In the root directory of your hard drive, make a
     subdirectory named TALKBAL1.
2.   Copy the zipped file into the TALKBAL1 subdirectory.
3.   Use PKUNZIP to extract the files listed above from the
     zipped file into the TALKBAL1 subdirectory.

The source code for the Talking Balance 1 Program was written in
Borland Pascal version 7.  The source code has ample internal
documentation to enable a skilled programmer to modify the
program.  Please be sure to see the GNU General Public License
for the terms under which a modified version of the Talking
Balance 1 Program can be distributed.

C.   Connecting the OHAUS balance to the computer

Connect your OHAUS balance to serial port COM1.  Make sure the
balance is powered up and turned on at the front panel.  The
Talking Balance 1 Program uses 1995 OHAUS default values for
serial communication:  2400 baud, NO parity, 7 data bits, and 2
stop bits; Auto Print Off; Stable Data Output Only Off.  See the
User Guide file, GUIDE1.BAL, for information about balance serial
communication parameters and instructions on how to use the
balance on serial port COM2.  OHAUS user manuals provide
instructions for checking and changing serial communication
settings on the balance. 

D.   Using a Sound Blaster sound card with the Talking Balance 1
     Program

Unload all terminate-and-stay resident (TSR) programs.  Load the
SBTALKER driver.  This should be the last driver loaded.  Change
to the TALKBAL1 subdirectory and enter 

          TLKBAL1E

The Talking Balance 1 Program will begin immediately.  See the
User Guide file, GUIDE1.BAL, for more information about using the
Sound Blaster sound card with the Talking Balance 1 Program.

E.   Using other speech synthesizers

The Talking Balance program can drive an external synthesizer
connected to any of serial ports COM1 through COM4 or parallel
ports LPT1 through LPT3, or an internal synthesizer which
emulates one of those ports.

1.   Connect your speech synthesizer to a port.  

2.   In the TALKBAL1 subdirectory, use the MS-DOS text editor to
     create and edit a file named TALKPORT.DAT.  In the file
     enter one line of text specifying the port to which your
     speech synthesizer is connected.  This line must end with a
     carriage return (the ENTER key).  For example, if your
     speech synthesizer is connected to printer port LPT2,
     TALKPORT.DAT should contain the single line

          LPT2

     followed by a carriage return.  As another example, if you
     are using an internal speech synthesizer which emulates
     serial port COM3, TALKPORT.DAT should contain the single
     line

          COM3

     followed by the carriage return (the ENTER key).

3.   For those using a synthesizer connected to a serial COM
     port, use the MS-DOS "MODE" command to set up the
     communications parameters for the port to match the
     synthesizer.  See the User Guide file, GUIDE1.BAL, if you
     need more information about this.

4.   Unload any screen reader programs.  This program writes text
     directly to the synthesizer and does not need a screen
     reader.  It is possible that a screen reader will interfere
     with it and possibly cause the program to fail.

5.   Make sure any device driver needed to run the speech
     synthesizer is loaded.

6.   Change to the TALKBAL1 subdirectory and enter 

          TLKBAL1E

     The program will begin immediately.  See the User Guide
     file, GUIDE1.BAL, for instructions on setting up the speech
     synthesizer from the command line so that speech output
     halts immediately when a key is pressed.

F.   Using the Talking Balance 1 Program without speech 

If you are not using a speech synthesizer, you can run the
Talking Balance 1 Program in the speechless mode.  Follow the
instructions above to install the program and connect the OHAUS
balance.  In the TALKBAL1 subdirectory, enter

          TLKBAL1E

and the program will begin immediately.  All messages will be
displayed on the screen as enlarged white-on-black text.

G.   License and Legal Information

The Talking Balance 1 Program, TLKBAL1E, is Copyright 1992-1997,
East Carolina University, Greenville, NC 27858.  All Rights
Reserved. 

The Talking Balance 1 Program, TLKBAL1E, is free software; you
can redistribute it and/or modify it under the terms of the GNU
General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option)
any later version.  

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
with this program; if not, write to the Free Software Foundation,
Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

One of the authors, David Lunney, can be contacted through the
Department of Chemistry, East Carolina University, Greenville, NC
27858; or by e-mail at lunney@delphi.com.

No Warranty.  EAST CAROLINA UNIVERSITY DISCLAIMS AND MAKES NO
REPRESENTATIONS AND EXTENDS NO WARRANTIES, EITHER EXPRESS OR
IMPLIED. THERE ARE NO EXPRESS OR IMPLIED WARRANTIES OF
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  The User
shall assume all liability for all damages whatsoever that may or
do arise from the User's use, inability to use, performance, or
storage of the TLKBAL1E software.  East Carolina University shall
not be liable to the User for any loss, claims, damages or
demands whatsoever made by the User or made against the User by
any other party, due to or arising from the performance of, use
of, and/or inability to use the TLKBAL1E software by the User
and/or anyone else.

Sound Blaster is a trademark of Creative Technology Ltd.  
MS-DOS is a registered trademark and Windows is a trademark of
Microsoft Corporation.
IBM is a registered trademark of International Business Machines,
Inc.
OHAUS is a registered trademark of Ohaus Corporation.
PKUNZIP is a registered trademark of PKWARE, Inc.
All other trademarks, registered trademarks, company names and
product names are the sole property of their respective owners.

The executable code for this program (TLKBAL1E.EXE) incorporates
a unit (SBC_TP7.TPU) from the Creative Labs Developer Kit,
copyright 1993 Creative Technology, Ltd.

The self-extracting version of this program is distributed under
a license from PKWARE, Inc.

Disclaimer of Endorsement:  Mention of any particular commercial
product or company does not constitute or imply an endorsement by
the authors or by East Carolina University or by any employee of
East Carolina University, nor does it imply that the product is
necessarily the best available for the purpose.

Any opinions, findings, and conclusions or recommendations
expressed in this material are those of the authors and do not
necessarily reflect the views of the National Science Foundation. 

